<template>
  <v-app id="inspire">
      <snackbar></snackbar>

      <Header v-if="!isInAdminPage()"/>
      <AdminHeader v-if="isInAdminPage()"/>

      <v-content class="content-container" v-bind:class="{ 'no-padding': isInAdminPage() }">
          <router-view></router-view>
      </v-content>

      <Footer v-if="!isInAdminPage()"/>
  </v-app>
</template>

<script>
// import Breadcrumb from './components/Breadcrumb';
import Snackbar from './components/Snackbar';
import Header from './components/Header';
import AdminHeader from './components/admin/AdminHeader';
import Footer from './components/Footer';

export default {
  components: {
    // Breadcrumb,
    Snackbar,
    Header,
    AdminHeader,
    Footer
  },
  computed: {

  },
  data: () => ({
    drawer: false
  }), 
  created(){
    console.log('deployed')
  },
  methods: {
    isInAdminPage() {
      return this.$router.currentRoute.name === 'admin' || this.$router.currentRoute.path.includes('admin');
    }
  },
};
</script>

<style lang="scss" scoped>
  .no-padding {
    padding-left: 0 !important;
  }
  .content-container {
    min-height: 900px;
  }
</style>
